Namespace My

    ' The following events are availble for MyApplication:
    ' 
    ' Startup: Raised when the application starts, before the startup form is created.
    ' Shutdown: Raised after all application forms are closed.  This event is not raised if the application terminates abnormally.
    ' UnhandledException: Raised if the application encounters an unhandled exception.
    ' StartupNextInstance: Raised when launching a single-instance application and the application is already active. 
    ' NetworkAvailabilityChanged: Raised when the network connection is connected or disconnected.
    Partial Friend Class MyApplication
        ' Override OnInitialize to set the splash screen's minimum display time.
        Protected Overrides Function OnInitialize(ByVal commandLineArgs As System.Collections.ObjectModel.ReadOnlyCollection(Of String)) As Boolean
            ' Display the splash screen for at least 3 seconds.
            Me.MinimumSplashScreenDisplayTime = 3000

            ' Continue initialization as usual.
            Return MyBase.OnInitialize(commandLineArgs)
        End Function

        ' Prepare the application to run:
        ' Connect to databases, load data, etc.
        Private Sub MyApplication_Startup(ByVal sender As Object, ByVal e As Microsoft.VisualBasic.ApplicationServices.StartupEventArgs) Handles Me.Startup
            Dim splash_screen As frmSplash
            splash_screen = DirectCast(My.Application.SplashScreen, frmSplash)

            ' Wait one second three times.
            For progress As Integer = 0 To 100 Step 10
                ' Update the progress display.
                splash_screen.Progress = progress

                ' Wait a little while.
                Dim stop_time As Date = Now.AddSeconds(0.25)
                Do While Now < stop_time
                    Application.DoEvents()
                Loop
            Next progress
        End Sub
    End Class

End Namespace

